/*****************************************************************

Copyright (c) 1996 Digital Equipment Corporation, Maynard, Massachusetts.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software.

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
DIGITAL EQUIPMENT CORPORATION BE LIABLE FOR ANY CLAIM, DAMAGES, INCLUDING, 
BUT NOT LIMITED TO CONSEQUENTIAL OR INCIDENTAL DAMAGES, OR OTHER LIABILITY, 
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR 
IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of Digital Equipment Corporation 
shall not be used in advertising or otherwise to promote the sale, use or other
dealings in this Software without prior written authorization from Digital 
Equipment Corporation.

******************************************************************/
/*
 * rewritten as a C++ Class by
 * Copyright (c) 1998 Henning Busacker<henning.busacker@duesseldorf.netsurf.de> 
 *
 * HISTORY
 *
 */

#ifndef __DPMSEXTENSION_H__
#define __DPMSEXTENSION_H__
#ifndef __DPMS__
#define NEED_REPLIES
/* avoid confusion with qglobal.h wich also defines INT8 and INT32. Ugly, but it works */
#if !defined(QT_CLEAN_NAMESPACE)
#define LONG64
#ifdef __STDC__
#undef __STDC__
#define __RET_STDC__
#endif
#endif
#include <X11/Xlibint.h>
#include <X11/extensions/dpms.h>
#include <X11/extensions/dpmsstr.h>
#include <X11/extensions/Xext.h>
/* reset the ugly stuff */
#ifdef __RET_STDC__
#define __STDC__
#undef __RET_STDC__
#endif

#endif
class DPMSExtension {
private:
Display * dpy;
public:
       DPMSExtension(Display *display){dpy=display; }
       ~DPMSExtension(){ }
Bool   DPMSQueryExtension (Display* display,int* event_basep,int* error_basep);
Status DPMSGetVersion(int* major_versionp,int* minor_versionp);
static Bool   DPMSCapable(Display *display);
Status DPMSSetTimeouts(CARD16 standby,CARD16 suspend,CARD16 off);
Bool   DPMSGetTimeouts(CARD16 *standby,CARD16* suspend,CARD16* off);
Status DPMSEnable();
Status DPMSDisable();
Status DPMSForceLevel(CARD16 level);
Status DPMSInfo(CARD16 * power_level,BOOL * state);
};
#endif
